Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Debian Local Security Checks >> [DSA894] DSA-894-1 abiword


Vulnerability Assessment Details

[DSA894] DSA-894-1 abiword

Vulnerability Assessment Summary
DSA-894-1 abiword

Detailed Explanation for this Vulnerability Assessment

Chris Evans discovered several buffer overflows in the RTF import
mechanism of AbiWord, a WYSIWYG word processor based on GTK 2.
Opening a specially crafted RTF file could lead to the execution of
arbitrary code.
For the old stable distribution (woody) these problems have been fixed in
version 1.0.2+cvs.2002.06.05-1woody3.
For the stable distribution (sarge) these problems have been fixed in
version 2.2.7-3sarge2.
For the unstable distribution (sid) these problems have been fixed in
version 2.4.1-1.
We recommend that you upgrade your abiword package.


Solution : http://www.debian.org/security/2005/dsa-894
Network Security Threat Level: High

Networks Security ID:

Vulnerability Assessment Copyright: This script is (C) 2007 Michel Arboi

Cables, Connectors

Apple Airport Express A1264, Airport Base M8440, Card M7600LL/E, & Cisco Aironet
$39.95
Apple Airport Express A1264, Airport Base M8440, Card M7600LL/E, & Cisco Aironet pictureCisco Small Business SF 100-16 16-Port 10/100 Switch Fully Tested
$30.0
Cisco Small Business SF 100-16 16-Port 10/100 Switch Fully Tested  pictureCisco Catalyst C3850-12X48U Ethernet Switch - Networking Products
$4735.0
Cisco Catalyst C3850-12X48U Ethernet Switch - Networking Products pictureCISCO SYSTEMS 16 Port Ethernet Switch (SF110D16NA)
$50.0
CISCO SYSTEMS 16 Port Ethernet Switch (SF110D16NA) picture


Discussions

No Discussions have been posted on this vulnerability.